
Infrastructure - Task #2665

Story # 2661 (Closed): handling complicated identity-equivalencies for authorization

Authorization consistency between language implementations

2012-04-30 18:38 - Rob Nahf

Status: Closed Start date: 2012-04-30

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

We need tools to allow us to check the consistency of authorization implementations

between the python and java implementations.

Subtasks:

Task # 2666: create python tool for returning equivalent IDs from session Closed

Task # 2667: create java tool for returning equivalent IDs from session Closed

Task # 2668: create python tool for returning isAuthorized given AccessPolicy and list ... Closed

Task # 2669: create java tool for returning isAuthorized given AccessPolicy and list of... Closed

Related issues:

Related to Python CLI - Task #2711: Python CLI to use certificate for subject... Closed 2012-05-07

History

#1 - 2012-05-09 15:50 - Rob Nahf

- Status changed from New to In Progress

#2 - 2012-10-03 15:40 - Chris Jones

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4

#3 - 2012-10-08 16:53 - Dave Vieglais

- Status changed from In Progress to Closed

- Estimated time set to 0.00
